## starlink-pal 0.9.10

=== SConstruct ===
# PAL SConstruct file
import os

version = "0.9.2"

def CheckStarlink(context):
    context.Message( "Checking for Starlink environment...")
    if "STARLINK_DIR" in os.environ:
        star_root = os.environ["STARCONF_DEFAULT_PREFIX"]
        star_lib = os.path.join(star_root, "lib")
        star_inc = os.path.join(star_root, "include")
        star_share = os.path.join(star_root, "share")
        star_bin = os.path.join(star_root, "bin")
        context.env.PrependENVPath('PATH', star_bin)
        context.Result(star_root)
        context.env.Replace(PREFIX = star_root)
        context.env.Append(CPPPATH=star_inc, LIBPATH=star_lib)
        return { "root": star_root,
                 "lib": star_lib,
                 "include": star_inc,
                 "bin": star_bin,
                 "share": star_share, }
    context.Result("failed")
    return None

# Allow --prefix to be specified. We don't use it in Starlink mode
# though
AddOption('--prefix',
          dest='prefix',
          type='string',
          nargs=1,
          action='store',
          metavar='DIR',
          help='installation prefix')

env = Environment(PREFIX = "/usr/local" ) # Initialise the environment

prefix = GetOption("prefix")
if prefix:
    env.Replace(PREFIX = prefix)


# Basic configure checks: but not if --help or --clean
if not GetOption("help") and not GetOption("clean"):
    conf = Configure(env, custom_tests = {"CheckStarlink": CheckStarlink} )

    if not conf.CheckCC():
        print("!! Your compiler and/or environment is not correctly configured.")
        Exit(0)

    if conf.CheckFunc("copysign"):
        conf.env.Append(CPPDEFINES={"HAVE_COPYSIGN": 1})

    if conf.CheckFunc("isblank"):
        conf.env.Append(CPPDEFINES={"HAVE_ISBLANK": 1})

    if conf.CheckFunc("strlcpy"):
        conf.env.Append(CPPDEFINES={"HAVE_STRLCPY": 1})

    # Force -lm if we need it
    conf.CheckLib("m","sin")

    # Try to look in current directory
    conf.env.Append(LIBPATH=["."])
    conf.env.Append(CPPPATH=["."])

    # If we are in a Starlink environment we know we have
    # ERFA so just set things up for that. This should be done
    # using a general SCons "are we starlink" plugin
    starlink = conf.CheckStarlink()
    if starlink is not None:
        conf.env.Append(LIBS=["erfa"])
        conf.env.Append(CPPDEFINES={"HAVE_STAR_UTIL": 1})
        conf.env.Append(LIBS=["starutil"])
    else:
        # Allow PREFIX to work
        conf.env.Append(CPPPATH=[os.path.join("$PREFIX", "include")])
        conf.env.Append(LIBPATH=[os.path.join("$PREFIX", "lib")])

        # Maybe starutil will be available
        if conf.CheckLib("starutil"):
            conf.env.Append(CPPDEFINES={"HAVE_STAR_UTIL": 1})

        # Need to look for ERFA vs SOFA
        if not conf.CheckLib("erfa","eraCal2jd"):
            if conf.CheckLib("sofa_c","iauCal2jd"):
                conf.env.Append(CPPDEFINES={"HAVE_SOFA_H": 1})
            else:
                print("!! Neither ERFA not SOFA library located. Can not continue. !!")
                Exit(0)

    env = conf.Finish()

# PAL source code
libpal_sources = [
    "pal1Atms.c",
    "pal1Atmt.c",
    "palAddet.c",
    "palAirmas.c",
    "palAltaz.c",
    "palAmp.c",
    "palAmpqk.c",
    "palAop.c",
    "palAoppa.c",
    "palAoppat.c",
    "palAopqk.c",
    "palAtmdsp.c",
    "palCaldj.c",
    "palDafin.c",
    "palDat.c",
    "palDe2h.c",
    "palDeuler.c",
    "palDfltin.c",
    "palDh2e.c",
    "palDjcal.c",
    "palDmat.c",
    "palDmoon.c",
    "palDrange.c",
    "palDs2tp.c",
    "palDt.c",
    "palDtp2s.c",
    "palDtps2c.c",
    "palDtt.c",
    "palEcmat.c",
    "palEl2ue.c",
    "palEpco.c",
    "palEpv.c",
    "palEqecl.c",
    "palEqgal.c",
    "palEtrms.c",
    "palEvp.c",
    "palFk45z.c",
    "palFk524.c",
    "palFk54z.c",
    "palGaleq.c",
    "palGalsup.c",
    "palGe50.c",
    "palGeoc.c",
    "palIntin.c",
    "palMap.c",
    "palMappa.c",
    "palMapqk.c",
    "palMapqkz.c",
    "palNut.c",
    "palNutc.c",
    "palOap.c",
    "palOapqk.c",
    "palObs.c",
    "palOne2One.c",
    "palPa.c",
    "palPertel.c",
    "palPertue.c",
    "palPlanel.c",
    "palPlanet.c",
    "palPlante.c",
    "palPlantu.c",
    "palPm.c",
    "palPolmo.c",
    "palPrebn.c",
    "palPrec.c",
    "palPreces.c",
    "palPrenut.c",
    "palPv2el.c",
    "palPv2ue.c",
    "palPvobs.c",
    "palRdplan.c",
    "palRefco.c",
    "palRefro.c",
    "palRefv.c",
    "palRefz.c",
    "palRverot.c",
    "palRvgalc.c",
    "palRvlg.c",
    "palRvlsrd.c",
    "palRvlsrk.c",
    "palSubet.c",
    "palSupgal.c",
    "palUe2el.c",
    "palUe2pv.c",
    ]

sun267_sources = [ "sun267.tex" ]
sun267_pdf = env.PDF( sun267_sources )
Default(sun267_pdf)

# Compiler should look in current directory for header files

staticpal = env.StaticLibrary(target="pal", source=libpal_sources)
sharedpal = env.SharedLibrary( target="pal", source = libpal_sources,
                               SHLIBVERSION=version )

palTest = env.Program("palTest", "palTest.c", LIBS=["pal"] )
test_alias = Alias("test", [palTest], palTest[0].abspath)
AlwaysBuild(test_alias)

installed_sharedlib = env.InstallVersionedLib(os.path.join("$PREFIX","lib"),
                                            [sharedpal], SHLIBVERSION=version )
installed_staticlib = env.Install("$PREFIX/lib", [staticpal] )

# Just build the library by default
Default(sharedpal)
Default(staticpal)

# install on request
if "install" in COMMAND_LINE_TARGETS:
    env.Alias( "install", "$PREFIX" )
    Default(installed_sharedlib, installed_staticlib)

## starlink-pal 0.1.0

=== debian/changelog ===
starlink-pal (0.1.0-1) unstable; urgency=low

  * Initial release. Closes: #659984

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 28 Mar 2012 11:00:00 +0200

=== debian/control ===
Source: starlink-pal
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <debian@liska.ath.cx>
Build-Depends: debhelper (>= 7.5.0), autotools-dev, dh-autoreconf,
 libsofa-c-dev, texlive, latex2html, ghostscript
Standards-Version: 3.9.3
Homepage: http://starlink.jach.hawaii.edu/starlink
Vcs-Git: git://git.debian.org/git/debian-science/packages/starlink-pal.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/starlink-pal.git

Package: libstarlink-pal-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libstarlink-pal0 (= ${binary:Version})
Suggests: libstarlink-pal-doc
Description: Positional Astronomy Library (development files)
 This library is a collection of code designed to aid in replacing the SLA
 library with code from NOVAS and IAU SOFA. 
 .
 Where possible the API is similar to the C SLA API except for the use of a
 "pal" prefix. 
 .
 This package contains the development files.

Package: libstarlink-pal0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Positional Astronomy Library (shared library)
 This library is a collection of code designed to aid in replacing the SLA
 library with code from NOVAS and IAU SOFA. 
 .
 Where possible the API is similar to the C SLA API except for the use of a
 "pal" prefix. 
 .
 This library contains the shared library.

Package: libstarlink-pal-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Positional Astronomy Library (documentation)
 This library is a collection of code designed to aid in replacing the SLA
 library with code from NOVAS and IAU SOFA. 
 .
 Where possible the API is similar to the C SLA API except for the use of a
 "pal" prefix. 
 .
 This package contains the HTML and PDF documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	cp pal.news NEWS
	sed s/libpal/libstarlink_pal/g -i Makefile.am
	AUTOMAKE="automake --foreign" dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --without-cnf --with-pthreads

override_dh_clean:
	sed s/libstarlink_pal/libpal/g -i Makefile.am
	dh_clean

## starlink-pal 0.1.5

=== debian/changelog ===
starlink-pal (0.1.5-1~exp1) experimental; urgency=low

  * New upstream version
  * Add DM-Upload-Allowed: yes
  * Multiarch support

 -- Ole Streicher <debian@liska.ath.cx>  Thu, 28 Jun 2012 22:54:14 +0200

=== debian/control ===
Source: starlink-pal
Section: science
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <debian@liska.ath.cx>
DM-Upload-Allowed: yes
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               ghostscript,
               latex2html,
               libsofa-c-dev,
               texlive
Standards-Version: 3.9.3
Homepage: http://starlink.jach.hawaii.edu/starlink
Vcs-Git: git://git.debian.org/git/debian-science/packages/starlink-pal.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/starlink-pal.git

Package: libstarlink-pal-dev
Section: libdevel
Architecture: any
Depends: libstarlink-pal0 (= ${binary:Version}), ${misc:Depends}
Suggests: libstarlink-pal-doc
Description: Positional Astronomy Library (development files)
 This library is a collection of code designed to aid in replacing the SLA
 library with code from NOVAS and IAU SOFA.
 .
 Where possible the API is similar to the C SLA API except for the use of a
 "pal" prefix.
 .
 This package contains the development files.

Package: libstarlink-pal0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Positional Astronomy Library (shared library)
 This library is a collection of code designed to aid in replacing the SLA
 library with code from NOVAS and IAU SOFA.
 .
 Where possible the API is similar to the C SLA API except for the use of a
 "pal" prefix.
 .
 This library contains the shared library.

Package: libstarlink-pal-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Positional Astronomy Library (documentation)
 This library is a collection of code designed to aid in replacing the SLA
 library with code from NOVAS and IAU SOFA.
 .
 Where possible the API is similar to the C SLA API except for the use of a
 "pal" prefix.
 .
 This package contains the HTML and PDF documentation.

## starlink-pal 0.3.0

=== debian/changelog ===
starlink-pal (0.3.0-3) unstable; urgency=low

  * Build with erfa instead of iausofa.

 -- Ole Streicher <debian@liska.ath.cx>  Sat, 30 Nov 2013 13:27:20 +0100

starlink-pal (0.3.0-2) unstable; urgency=low

  * Use pdflatex instead of pslatex. Closes: #713264

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 24 Jun 2013 18:11:26 +0200

starlink-pal (0.3.0-1) unstable; urgency=low

  * New upstream version
  * Push policy version to 3.9.4

 -- Ole Streicher <debian@liska.ath.cx>  Tue, 23 Apr 2013 15:44:48 +0200

starlink-pal (0.1.5-1) unstable; urgency=low

  * Move to unstable
  * Remove obsolete DMUA flag
  * Silent false-positive lintian hardening warning

 -- Ole Streicher <debian@liska.ath.cx>  Mon, 22 Apr 2013 20:21:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: starlink-pal
 Section: science
-Priority: extra
+Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <debian@liska.ath.cx>
-DM-Upload-Allowed: yes
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                dh-autoreconf,
                ghostscript,
                latex2html,
-               libsofa-c-dev,
-               texlive
-Standards-Version: 3.9.3
+               liberfa-dev,
+               texlive,
+	       texlive-font-utils
+Standards-Version: 3.9.5
 Homepage: http://starlink.jach.hawaii.edu/starlink
-Vcs-Git: git://git.debian.org/git/debian-science/packages/starlink-pal.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/starlink-pal.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/starlink-pal.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/starlink-pal.git
 
 Package: libstarlink-pal-dev
 Section: libdevel
@@ -23,7 +23,7 @@
 Suggests: libstarlink-pal-doc
 Description: Positional Astronomy Library (development files)
  This library is a collection of code designed to aid in replacing the SLA
- library with code from NOVAS and IAU SOFA.
+ library with code from NOVAS and ERFA.
  .
  Where possible the API is similar to the C SLA API except for the use of a
  "pal" prefix.
@@ -53,7 +53,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Description: Positional Astronomy Library (documentation)
  This library is a collection of code designed to aid in replacing the SLA
- library with code from NOVAS and IAU SOFA.
+ library with code from NOVAS and ERFA.
  .
  Where possible the API is similar to the C SLA API except for the use of a
  "pal" prefix.

=== debian/watch ===
version=3
http://www.starlink.ac.uk/download/pal/pal-(.+)\.tar\.gz debian uupdate

## starlink-pal 0.5.0

=== debian/changelog ===
starlink-pal (0.5.0-4) unstable; urgency=low

  * Remove timestamp from html doc. Closes: #803908
  * Add d/u/metadata
  * Push standards version to 3.9.8. Update VCS fields to use https

 -- Ole Streicher <olebole@debian.org>  Mon, 20 Jun 2016 11:07:43 +0200

starlink-pal (0.5.0-3) unstable; urgency=low

  * Fix CI test dependencies

 -- Ole Streicher <olebole@debian.org>  Wed, 21 Oct 2015 10:59:07 +0200

starlink-pal (0.5.0-2) unstable; urgency=low

  * Update maintainers e-mail address
  * Update standards version to 3.9.6. No changes needed.
  * Update homepage URL.
  * Add unit test

 -- Ole Streicher <olebole@debian.org>  Thu, 15 Oct 2015 10:11:46 +0200

starlink-pal (0.5.0-1) unstable; urgency=low

  * New upstream version (builds with erfa).
  * Change maintainer and VCS location to debian-astro
  * Add symbols file

 -- Ole Streicher <debian@liska.ath.cx>  Wed, 30 Jul 2014 10:25:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: starlink-pal
 Section: science
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <debian@liska.ath.cx>
+Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                dh-autoreconf,
                ghostscript,
                latex2html,
-               liberfa-dev,
+               liberfa-dev (>= 1.1.0),
                texlive,
 	       texlive-font-utils
-Standards-Version: 3.9.5
-Homepage: http://starlink.jach.hawaii.edu/starlink
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/starlink-pal.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/starlink-pal.git
+Standards-Version: 3.9.8
+Homepage: http://starlink.eao.hawaii.edu/starlink
+Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/starlink-pal.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/starlink-pal.git
 
 Package: libstarlink-pal-dev
 Section: libdevel
@@ -38,7 +38,7 @@
 Multi-Arch: same
 Description: Positional Astronomy Library (shared library)
  This library is a collection of code designed to aid in replacing the SLA
- library with code from NOVAS and IAU SOFA.
+ library with code from NOVAS and ERFA.
  .
  Where possible the API is similar to the C SLA API except for the use of a
  "pal" prefix.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	cp pal.news NEWS
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --without-cnf --with-pthreads

## starlink-pal 0.9.7

=== debian/changelog ===
starlink-pal (0.9.7-3) unstable; urgency=low

  * Link test program to -lm to fix test link failure

 -- Ole Streicher <olebole@debian.org>  Thu, 22 Jun 2017 09:10:29 +0200

starlink-pal (0.9.7-2) unstable; urgency=medium

  * Build documentation only in -indep (Closes: #865388)

 -- Ole Streicher <olebole@debian.org>  Wed, 21 Jun 2017 17:19:14 +0200

starlink-pal (0.9.7-1) unstable; urgency=low

  * Watch github now
  * New upstream version 0.9.7
  * Rediff patches
  * Mark libstarlink-pal-dev Multi-Arch: same as suggested by Multiarch hinter
  * Push standards version to 4.0.0. No changes.

 -- Ole Streicher <olebole@debian.org>  Tue, 20 Jun 2017 21:18:56 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,14 @@
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                dh-autoreconf,
-               ghostscript,
+               liberfa-dev (>= 1.1.0)
+Build-Depends-Indep: ghostscript,
                latex2html,
-               liberfa-dev (>= 1.1.0),
                texlive,
-	       texlive-font-utils
-Standards-Version: 3.9.8
+               texlive-font-utils,
+               texlive-latex-extra,
+               texlive-science
+Standards-Version: 4.0.0
 Homepage: http://starlink.eao.hawaii.edu/starlink
 Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/starlink-pal.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/starlink-pal.git
@@ -19,6 +21,7 @@
 Package: libstarlink-pal-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libstarlink-pal0 (= ${binary:Version}), ${misc:Depends}
 Suggests: libstarlink-pal-doc
 Description: Positional Astronomy Library (development files)

## starlink-pal 0.9.8

=== debian/changelog ===
starlink-pal (0.9.8-1) unstable; urgency=medium

  * Update VCS fields to use salsa.d.o
  * New upstream version 0.9.8. Rediff patches, update symbols file
  * Push Standards-Version to 4.2.1. Change some URLs to https
  * Push compat to 11

 -- Ole Streicher <olebole@debian.org>  Sun, 02 Sep 2018 15:43:52 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,7 @@
 Priority: optional
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: autotools-dev,
-               debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11),
                liberfa-dev (>= 1.1.0)
 Build-Depends-Indep: ghostscript,
                latex2html,
@@ -13,10 +11,10 @@
                texlive-font-utils,
                texlive-latex-extra,
                texlive-science
-Standards-Version: 4.0.0
+Standards-Version: 4.2.1
 Homepage: http://starlink.eao.hawaii.edu/starlink
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/starlink-pal.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/starlink-pal.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/starlink-pal
+Vcs-Git: https://salsa.debian.org/debian-astro-team/starlink-pal.git
 
 Package: libstarlink-pal-dev
 Section: libdevel

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --without-cnf --with-pthreads
 
-
+override_dh_installdocs-indep:
+	make doc
+	dh_installdocs

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pal-$1\.tar\.gz/ \
  https://github.com/starlink/pal/tags .*/v?(\d\S+)\.tar\.gz

## starlink-pal 0.9.10

=== debian/changelog ===
starlink-pal (0.9.10-3) unstable; urgency=medium

  * Team upload.
  * 'd/clean': Add missing extensions. (Closes: #1049316)
  * 'd/rules': Add hardening 'all'.
  * 'd/watch', update version to 4.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 06 Oct 2024 12:32:35 +0100

starlink-pal (0.9.10-2) unstable; urgency=medium

  * Define _DEFAULT_SOURCE to have strlcpy() defined (Closes: #1071366)
  * Push Standards-Version to 4.7.0. No changes needed
  * Add new symbols to symbols file
  * Remove outdated lintian-oberride

 -- Ole Streicher <olebole@debian.org>  Sat, 18 May 2024 13:58:17 +0200

starlink-pal (0.9.10-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Ole Streicher ]
  * New upstream version 0.9.10
  * Rediff patches
  * Adjust test for out-of-bounds observatory

 -- Ole Streicher <olebole@debian.org>  Thu, 22 Sep 2022 11:07:01 +0200

starlink-pal (0.9.8-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.
  * Drop unnecessary dependency on dh-autoreconf.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Ole Streicher ]
  * Adjust starlink.csl for changes in Debian's LaTeX distribution
    (Closes: #1013617)
  * Push Standards-Version to 4.6.1. No changes needed
  * Push dh-compat to 13
  * Remove unneeded versionized build-dep
  * Switch patches to use gbp completely

 -- Ole Streicher <olebole@debian.org>  Fri, 24 Jun 2022 17:03:45 +0200

=== debian/control ===
Source: starlink-pal
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               liberfa-dev
Build-Depends-Indep: ghostscript,
                     latex2html,
                     texlive,
                     texlive-font-utils,
                     texlive-latex-extra,
                     texlive-science
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian-astro-team/starlink-pal
Vcs-Git: https://salsa.debian.org/debian-astro-team/starlink-pal.git
Homepage: https://starlink.eao.hawaii.edu/starlink

Package: libstarlink-pal-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libstarlink-pal0 (= ${binary:Version}),
         ${misc:Depends}
Suggests: libstarlink-pal-doc
Description: Positional Astronomy Library (development files)
 This library is a collection of code designed to aid in replacing the SLA
 library with code from NOVAS and ERFA.
 .
 Where possible the API is similar to the C SLA API except for the use of a
 "pal" prefix.
 .
 This package contains the development files.

Package: libstarlink-pal0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Positional Astronomy Library (shared library)
 This library is a collection of code designed to aid in replacing the SLA
 library with code from NOVAS and ERFA.
 .
 Where possible the API is similar to the C SLA API except for the use of a
 "pal" prefix.
 .
 This library contains the shared library.

Package: libstarlink-pal-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Positional Astronomy Library (documentation)
 This library is a collection of code designed to aid in replacing the SLA
 library with code from NOVAS and ERFA.
 .
 Where possible the API is similar to the C SLA API except for the use of a
 "pal" prefix.
 .
 This package contains the HTML and PDF documentation.

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_autoreconf:
 	cp pal.news NEWS
@@ -16,3 +18,6 @@
 override_dh_installdocs-indep:
 	make doc
 	dh_installdocs
+
+override_dh_missing:
+	dh_missing --list-missing

=== debian/tests/control ===
Tests: test-pal
Depends: libstarlink-pal-dev, gcc, libc6-dev

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pal-$1\.tar\.gz/ \
  https://github.com/starlink/pal/tags .*/v?(\d\S+)\.tar\.gz
